List Measurements
Get a list of Measurements.
Authorization
BearerAuthorizer In: header
Query Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/measurements"{ "measurements": [ { "customerId": "string", "meterId": "string", "usageDate": { "year": 0, "month": 0, "day": 1 }, "value": 0, "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": 0, "hasMore": true, "nextCursor": "string"}{ "type": "invalid_request_error", "code": "string", "message": "string", "param": "string", "params": [ { "param": "string", "message": "string" } ]}{ "type": "authentication_error", "code": "authentication_failed", "message": "string"}{ "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "string"}{ "type": "api_error", "code": "internal_error", "message": "string"}Refresh the credit grants on a contract POST
Use this endpoint to refresh the credit grants on a contract by creating a new contract phase (a contract revision) that takes effect immediately. Provide a list of credit grants to refresh in the request body — each is identified by its credit product (credit type) id and is set to non-prorated in the new phase, optionally with a new price. Every other credit grant on the contract is set to prorated. If the grants list is omitted, all credit grants on the contract are refreshed (set to non-prorated). If a supplied credit product matches more than one grant product on the contract and a newPrice is provided, the request is rejected because the price cannot be applied unambiguously.
Create Measurement POST
Create a new Measurement.

